TKN-TRIGGERBINDING-DELETE(1)

NAME

tkn-triggerbinding-delete - Delete TriggerBindings in a namespace

SYNOPSIS

tkn triggerbinding delete

DESCRIPTION

Delete TriggerBindings in a namespace

OPTIONS

--all[=false]
    Delete all TriggerBindings in a namespace (default: false)

--allow-missing-template-keys[=true]
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

-f, --force[=false]
    Whether to force deletion (default: false)

-h, --help[=false]
    help for delete

-o, --output=""
    Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file.

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Delete TriggerBindings with names 'foo' and 'bar' in namespace 'quux'

    tkn triggerbinding delete foo bar -n quux

or

    tkn tb rm foo bar -n quux

SEE ALSO

tkn-triggerbinding(1)